Issue Virtual Gift Card
Issues a new virtual gift card that can be delivered digitally. Returns the virtual card details including the card number and passcode.
- Type: stringx
-application Source requiredA custom HTTP header that accepts a free-form string value. It is used to identify the application making the API request. For example, if Punchh invokes the API, the value could be "punchh".
- Type: stringX
- Location Id requiredThe unique location identifier for the store or business location processing the transaction.
- Type: stringContent
- Type requiredThe media type of the request body. Must be set to
application/json. - Type: stringAuthorizationrequired
Bearer token for API authorization. Send in the format:
Bearer ACCESS_TOKEN_GOES_HERE.
Request details to issue the gift card.
- Type: stringreference
Number min length:1max length:40Pattern: ^[0-9]+$requiredA unique reference number for the transaction.
- Type: stringsource
Transaction Id min length:1requiredThe source transaction ID for the gift card issue.
- Type: string Format: date-timetransaction
Date Time U T C requiredThe transaction date and time in UTC format.
- Type: number | null Format: doubleamount
The amount for which gift card is issued. Pattern:
^\d+(\.\d{0,2})?$(up to 2 decimal places). - Type: string · enumchannelvalues
- None
- P
O S - Kiosk
- Type: string | nullinvoice
Number max length:14A unique invoice number for the transaction.
- Type: booleanis
Preferred When true, marks this card as the user's preferred gift card (clears any existing preferred flag).
- Type: string · enumpayment
Source values- Scan
To Pay - Online
- None
- Type: booleansave
Card When true, the issued gift card will be persisted for the user.
- Type: string | null Format: date-timetransaction
Date Time Local The transaction date and time in local format.
- Type: string | nulluser
Id The unique identifier of the user for whom the card is being saved.
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.partech.com/giftcard/v1/virtual/issue \
--request POST \
--header 'x-applicationSource: ' \
--header 'X-LocationId: ' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--data '{
"amount": 100,
"referenceNumber": "258",
"transactionDateTimeUTC": "2026-03-06T11:28:29.7506561Z",
"transactionDateTimeLocal": "2026-03-06T11:28:29.75",
"invoiceNumber": "INV1234",
"sourceTransactionId": "SRC123",
"paymentSource": "ScanToPay",
"channel": null,
"saveCard": false,
"isPreferred": false,
"userId": null
}'
{
"parPayTransactionId": "TRANSACTION_ID_GOES_HERE",
"cardNumber": "GIFT_CARD_NUMBER_GOES_HERE",
"giftCardPasscode": "GIFT_CARD_PASSCODE_GOES_HERE",
"statusMessage": "APPROVAL",
"balanceAmount": "100",
"amount": "100",
"transactionDateTimeUTC": "2026-03-06T11:28:29.7506188Z",
"status": "Success"
}